package body MSHTML.ISVGStringList_Object is

   procedure Put_numberOfItems
     (This : ISVGStringList_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         ISVGStringList_Put_numberOfItems,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_numberOfItems;

   function Get_numberOfItems
     (This : ISVGStringList_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, ISVGStringList_Get_numberOfItems);
   end Get_numberOfItems;

   procedure clear
     (This : ISVGStringList_Type)
   is
   begin
      Invoke (This, ISVGStringList_clear);
   end clear;

   function initialize
     (This    : ISVGStringList_Type;
      newItem : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         ISVGStringList_initialize,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => newItem),
         Free);
   end initialize;

   function getItem
     (This  : ISVGStringList_Type;
      index : GNATCOM.Types.VARIANT;
      Free  : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         ISVGStringList_getItem,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => index),
         Free);
   end getItem;

   function insertItemBefore
     (This    : ISVGStringList_Type;
      newItem : GNATCOM.Types.VARIANT;
      index   : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         ISVGStringList_insertItemBefore,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => index,
          2 => newItem),
         Free);
   end insertItemBefore;

   function replaceItem
     (This    : ISVGStringList_Type;
      newItem : GNATCOM.Types.VARIANT;
      index   : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         ISVGStringList_replaceItem,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => index,
          2 => newItem),
         Free);
   end replaceItem;

   function removeItem
     (This  : ISVGStringList_Type;
      index : GNATCOM.Types.VARIANT;
      Free  : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         ISVGStringList_removeItem,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => index),
         Free);
   end removeItem;

   function appendItem
     (This    : ISVGStringList_Type;
      newItem : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         ISVGStringList_appendItem,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => newItem),
         Free);
   end appendItem;

end MSHTML.ISVGStringList_Object;

